Lowest version a save of this source or image may carry (the proposal of the interface change); writes nothing.
POST
/v1/algorithms/version-suggestionscurl -X POST 'https://api.embodiflow.io/v1/algorithms/version-suggestions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"source": "string",
"requirements": [
"string"
],
"version": "string",
"image": {
"ref": "string",
"entrypoint": [
"string"
]
}
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Request body
Content-Typeapplication/json
- sourcestring
- requirementsarray<string>
- versionstring
- imageobject
- refstringrequired
- entrypointarray<string>
Responses
Success
- dataobjectrequired
- latestVersionstring | nullrequired
- unchangedone ofrequired
- suggestedBumpstring | nullrequiredAllowed valuesMAJORMINORPATCH
- suggestedVersionstring | nullrequired
- changesarray<object>required
Response example
{
"data": {
"latestVersion": "string",
"unchanged": false,
"suggestedBump": "MAJOR",
"suggestedVersion": "string",
"changes": [
{
"path": "string",
"bump": "MAJOR",
"message": "string"
}
]
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1